View Issue Details

IDProjectCategoryView StatusLast Update
0003342SymmetricDSImprovementpublic2018-02-14 15:08
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.1 
Target Version3.9.1Fixed in Version3.9.1 
Summary0003342: Implement SymmetricDS JDBC driver wrapper for optional logging, stats, and other diagnostics.
DescriptionTo enable the driver wrapper on H2 for example:
db.url=jdbc:symds:h2\:file\:demo-corp;LOCK_TIMEOUT\=60000;AUTO_SERVER\=TRUE
db.driver=org.jumpmind.driver.Driver

Out of the box, the driver will log all SQL at INFO level with elapsed time.

The driver also supports adding a delay on INSERTS and UPDATES. Set these system properties:
-Dorg.jumpmind.driver.PreparedStatementWrapper.interceptor=org.jumpmind.driver.StatementDelayInterceptor
-Dorg.jumpmind.driver.StatementDelayInterceptor.delay=10

The driver also supports a mode where INSERTS and UPDATES are bypassed:
-Dorg.jumpmind.driver.PreparedStatementWrapper.interceptor=org.jumpmind.driver.StatementBypassInterceptor

Other capabilities can be added to the driver by adding different implementations of the StatementInterceptor.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 ce4aa130

2017-12-20 18:04:48

mmichalek

Details Diff
0003342: Implement SymmetricDS JDBC driver wrapper for optional logging,
stats, and other diagnostics.

0003342
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/ConnectionWrapper.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/Driver.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/DummyInterceptor.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/InterceptResult.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/PreparedStatementWrapper.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/StatementBypassInterceptor.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/StatementDelayInterceptor.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/StatementInterceptor.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/StatementWrapper.java Diff File
add - symmetric-jdbc/src/main/java/org/jumpmind/driver/WrapperInterceptor.java Diff File

Issue History

Date Modified Username Field Change
2017-12-20 18:04 mmichalek New Issue
2017-12-20 18:04 mmichalek Status new => assigned
2017-12-20 18:04 mmichalek Assigned To => mmichalek
2017-12-22 14:58 mmichalek Fixed in Version => 3.9.1
2017-12-22 15:06 mmichalek Status assigned => closed
2017-12-22 15:53 mmichalek Resolution open => fixed
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 ce4aa130